Get Insights

Use this REST API to retrieve existing insights or generate fresh insights for a Planning data slice. Supported insight categories include anomaly insights, historical forecast variance insights, and future prediction insights.

Required Roles

Any authorized Planning application role can retrieve existing insights. Generating or recomputing insights requires the Administrator or IPM Manage role.

REST Resource

POST /HyperionPlanning/rest/v3/applications/{application}/insights

Request

Supported Media Types: application/json

Table 3-73 Parameters

Name Description Type Required Default
dataSourceType CUBE for Planning cube data. enum No None
slice Defines the POV, row axis, and column axis for summary generation. object

Yes

None
location Cube or plan type name, such as Plan1. string Required for CUBE unless inferred. None
retrievalMode USE_EXISTING returns already computed insights. FORCE_RECOMPUTE generates fresh insights. enum Yes None
calendar Calendar used to derive period and year information when generating insights. Required when retrievalMode is FORCE_RECOMPUTE. string Yes None

Example of Request Body

{
  "slice": {
    "pov": {
      "members": [
        "7003",
        "OAD",
        "P_000",
        "BaseData"
      ],
      "dimensions": [
        "Account",
        "Entity",
        "Product",
        "HSP_View"
      ]
    },
    "columnAxisDefinition": {
      "dimensions": [
        "Year",
        "Period"
      ],
      "segments": [
        [
          [
            "FY25"
          ],
          [
            "Jul",
            "Aug",
            "Sep",
            "Oct",
            "Nov",
            "Dec"
          ]
        ]
      ]
    },
    "rowAxisDefinition": {
      "dimensions": [
        "Version",
        "Scenario"
      ],
      "segments": [
        [
          [
            "Working"
          ],
          [
            "Forecast"
          ]
        ]
      ]
    }
  },
  "retrievalMode": "USE_EXISTING",
  "dataSourceType": "CUBE",
  "location": "Plan1"
}

Response

The following table summarizes the response parameters.

Table 3-74 Parameters

Name Description
id Unique insight identifier.
type ANOMALY, MOVEMENT_VARIANCE_INSIGHTS, HISTORICAL_INSIGHTS, or FUTURE_INSIGHTS.
accountName Account for which the insight was generated.
sourceAccountName Source account, when applicable.
planType Cube or plan name.
actualImpact Formatted impact value.
actualImpactValue Raw numeric impact value.
percentImpact Formatted percent impact.
createdDate Insight creation date.
description Human-readable insight description.
outlierValue Outlier value for anomaly insights, when applicable.
standardVariance Formatted standard variance percentage.
priority Priority such as High, Medium, or Low.
pov POV display label, when returned.
anomalyPeriod Period associated with an anomaly insight.
percentageDiff Formatted percentage difference for variance or prediction insights.
percentageDiffFromAnomaly Formatted percentage difference for anomaly insights.

Supported Media Types: application/json

Parameters

Example of Response Body

The following shows an example of the response body in JSON format.

{
  "links": [
    {
      "href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/<APPLICATION>/insights",
      "action": "POST",
      "rel": "self"
    }
  ],
  "items": [
    {
      "id": 426,
      "type": "HISTORICAL_INSIGHTS",
      "accountName": "Total Office Expenses",
      "sourceAccountName": "Total Office Expenses",
      "planType": "Plan1",
      "actualImpact": "12.08K",
      "percentImpact": "32.40%",
      "createdDate": "2025-09-15",
      "description": "Actual Total Office Expenses 19.49% lower than forecast",
      "outlierValue": 0.0,
      "standardVariance": "12.90%",
      "actualImpactValue": 12079.166666666666,
      "priority": "Medium",
      "pov": "Business Operations",
      "percentageDiff": "19.49%"
    }
  ],
  "totalResults": 1,
  "hasMore": false
}